The default bug view has changed. See this FAQ.

Crashes anytime an embedded video is attempted to be played

RESOLVED FIXED

Status

()

Firefox for Android
Audio/Video
RESOLVED FIXED
2 years ago
8 months ago

People

(Reporter: timonoj, Unassigned)

Tracking

({stackwanted, steps-wanted})

34 Branch
ARM
Android
stackwanted, steps-wanted
Points:
---

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

2 years ago
User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:33.0) Gecko/20100101 Firefox/33.0
Build ID: 20141013195847

Steps to reproduce:

Attempt to play any embedded video. This is a good example:
http://camendesign.com/code/video_for_everybody/test.html
But any other embedded video on any other website will have the same result, such as BBC news embedded videos on their website, or any website with embedded video, regardless of the format.


Actual results:

Firefox will play the audio on a transparent embedded screen. Nothing draws on the embedded video area, but the audio plays correctly. If clicked on the video area, the playback controls show, and the video can be controlled, although still without any image. After a bit, or stopping the playback, or changing the tab, or minimizing firefox, it will crash and show the bug report window with the option to restart firefox.
NOTE: If the video is not embedded, as in, a direct link to the video source (for example, http://clips.vorwaerts-gmbh.de/big_buck_bunny.mp4), the video will play as expected within firefox app. 


Expected results:

Video should play with both image and audio, and not crashing the application.
(Reporter)

Updated

2 years ago
OS: Linux → Android
Hardware: x86_64 → ARM
Are you receiving the crash reporter when the browser crashes? If so, can you provide the generated crash ID off of visiting about:crashes in the browser?

If not, can you capture and attach a log-cat from your device to this bug in essence capturing the crash as it happens so we can check to see if theres any specific stack shown: https://wiki.mozilla.org/Mobile/Fennec/Android#Using_logcat

Also do you see crashes playing video on my media test page? http://people.mozilla.org/~atrain/mobile/tests/media.html
Flags: needinfo?(timonoj)

Updated

2 years ago
Keywords: stackwanted, steps-wanted
Also, can you provide details such as what device/OS version of Android you are using?
(Reporter)

Comment 3

2 years ago
Sure, sorry for the newbieness...
Here's a bunch of reports. I have a lot more, of which I'm pretty sure 90% of them are whenever I clicked play on some embedded video.
bp-cdf9d797-bbff-4b96-aca8-8ece42141204 12/04/14 23:39
bp-842233bb-bc45-4db3-9883-52d982141117 11/17/14 18:14
bp-91361546-1992-4d8c-9751-28fa32141115 11/16/14 01:38
bp-4beeb131-2143-46c6-93d8-060272141114 11/14/14 14:37
bp-ab3d5a36-f5d3-46ef-9354-84c332141021 10/22/14 06:49
bp-699b9d95-ad5f-4587-a3ab-bb1642140929 09/30/14 07:15

Regarding your testing site:
VPN9: A-OK
H.264/MP4(video): it shows two videos, both of them blank. The first one lasts 9min something, and I can only hear the audio (playback controls visible and responsive). The second one lasts 1second, and I don't know if it's supposed to have any audio. Again, I can see the controls, but not much to control here anyway.
MP3: A-OK
MP4/AAC: A-OK
MP4/H.264 High Profile: Again, audio but no video. Controls still work.
MP4.H.264 Baseline: Error image, "No video with supported format and MIME type found".

Not sure why, but the browser went its merry video-less way without crashing. 

Device: Samgung Galaxy S4 i9505 (international LTE version).
Android version:Cyanogenmod custom build from noobdev. It's a CM11 (Kit Kat v4.4.4) customized build using Samsung's Google Experience drivers.
http://forum.xda-developers.com/showthread.php?t=2383143
Flags: needinfo?(timonoj)
(Reporter)

Comment 4

2 years ago
Just to confirm, the 12/04/14 one is just right now, while I attempted to play a video from BBC World News website.
(In reply to timonoj from comment #3)
> bp-cdf9d797-bbff-4b96-aca8-8ece42141204 12/04/14 23:39
> bp-842233bb-bc45-4db3-9883-52d982141117 11/17/14 18:14
> bp-91361546-1992-4d8c-9751-28fa32141115 11/16/14 01:38
> bp-4beeb131-2143-46c6-93d8-060272141114 11/14/14 14:37
> bp-ab3d5a36-f5d3-46ef-9354-84c332141021 10/22/14 06:49
> bp-699b9d95-ad5f-4587-a3ab-bb1642140929 09/30/14 07:15

Thanks. Majority of these show a generic  [@ libstagefright.so@address ] crash. Not sure what can be done there.

Can you try using Nightly (http://nightly.mozilla.org) for Android and trying to reproduce the crashes? It has a new video backend that might hopefully fix the problems your seeing. Can you comment back here with what you see?
(Reporter)

Comment 6

2 years ago
Oh wow. Didn't even think of the nightlies. It all works here. Your site loaded all the videos with no problem. BBC also plays correctly. 
When will these changes be merged onto the stable (or beta) branch?
They are on Firefox Beta now on Google Play. Thanks for testing. Marking fixed via bug 1014614.
Status: UNCONFIRMED → RESOLVED
Last Resolved: 2 years ago
Depends on: 1014614
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.